<template>
  <div class="page">
    <app-menu title="Settings"></app-menu>
    <div class="settings">
      <el-form
        label-position="left"
        :model="settingsForm">
        <el-form-item label="Theme:">
          <el-switch
            @change="changeTheme"
            v-model="settingsForm.darkTheme"
            active-text="Dark"
            inactive-text="Light">
          </el-switch>
        </el-form-item>

        <el-form-item label="Gitlab:">
          <el-input v-model="settingsForm.gitlab.host">
            <template slot="prepend">host</template>
          </el-input>
          <el-input v-model="settingsForm.gitlab.token">
            <template slot="prepend">token</template>
          </el-input>
        </el-form-item>

        <el-form-item label="Yandex disk:">
          <el-input v-model="settingsForm.yandexDisk.login">
            <template slot="prepend">login</template>
          </el-input>
          <el-input v-model="settingsForm.yandexDisk.password">
            <template slot="prepend">password</template>
          </el-input>
        </el-form-item>
      </el-form>
    </div>
  </div>
</template>

<script>
import {
  mapState,
  mapMutations
} from 'vuex'

export default {
  components: {},
  data() {
    return {
      settingsForm: {
        darkTheme: true,
        gitlab: {
          host: 'https://gitlab.com/',
          token: 'VJyw8aC4y6qFALytbnks'
        },
        yandexDisk: {
          login: "abadon2008",
          password: "OnePunchWeb-122122"
        },
      },
    }
  },
  computed: {},
  methods: {
    ...mapMutations({
      setTheme: 'settings/SET_THEME'
    }),
    changeTheme(data) {
      this.setTheme(data ? 'dark' : 'light')
    }
  }
}
</script>

<style lang="less" scoped>
.settings {
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  .el-input {
    margin: 10px 0;
  }
}
</style>